import { Host, h } from "@stencil/core";
export class SpwFooterContentCol {
    constructor() {
        this.open = false;
        this.toggle = () => {
            this.open = !this.open;
        };
    }
    render() {
        return (h(Host, { key: '0c537f3bd6c9fc0d5df37240c200406c7e23b99e', class: this.open ? 'is-open' : '' }, this.colTitle && (h("h2", { key: '83b94c41df05b387151e548edfb6e559d3747729', class: "spw-footer-content-col__title", onClick: this.toggle }, this.colTitle, h("spw-icon", { key: '31e4f0120fb1411e97710b10ce3abaa9bec6363b', class: "spw-footer-content-col__icon", icon: "fa-chevron-down" }))), h("div", { key: 'c66983fcc8e3cf8c9f6cdfcdc1158053d9b09e98', class: "spw-footer-content-col__body" }, h("slot", { key: '59efafe8afc23cdad6558391a530c1f833daa1bf' }))));
    }
    static get is() { return "spw-footer-content-col"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["spw-footer-content-col.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["spw-footer-content-col.css"]
        };
    }
    static get properties() {
        return {
            "colTitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Titre de la colonne"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "col-title"
            }
        };
    }
    static get states() {
        return {
            "open": {}
        };
    }
}
